import { CacheKey } from './cache.models';
export declare const cache: import("@ngrx/store").ActionCreator<"[Cache] Cache", (props: {
    key: CacheKey;
    value: any;
    date: number;
    maxCacheSize?: number | undefined;
    expires?: number | undefined;
}) => {
    key: CacheKey;
    value: any;
    date: number;
    maxCacheSize?: number | undefined;
    expires?: number | undefined;
} & import("@ngrx/store/src/models").TypedAction<"[Cache] Cache">>;
export declare const hitCache: import("@ngrx/store").ActionCreator<"[Cache] Hit Cache", (props: {
    key: CacheKey;
}) => {
    key: CacheKey;
} & import("@ngrx/store/src/models").TypedAction<"[Cache] Hit Cache">>;
export declare const invalidateCache: import("@ngrx/store").ActionCreator<"[Cache] Invalidate Cache", (props: {
    key: CacheKey;
}) => {
    key: CacheKey;
} & import("@ngrx/store/src/models").TypedAction<"[Cache] Invalidate Cache">>;
export declare const deleteCache: import("@ngrx/store").ActionCreator<"[Cache] Delete Cache", (props: {
    key: CacheKey;
}) => {
    key: CacheKey;
} & import("@ngrx/store/src/models").TypedAction<"[Cache] Delete Cache">>;
