import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { CacheKey } from './cache.models';
export declare function cache<T>({ store, key, source, expires, maxCacheSize, }: {
    store: Store;
    key: CacheKey;
    source: Observable<T>;
    expires?: number;
    maxCacheSize?: number;
}): Observable<any>;
