import { createFeatureSelector, createSelector } from '@ngrx/store';
import { getCacheValue, hashKey } from './cache.models';
export const cacheStateSelector = createFeatureSelector('cache');
export const selectCache = (key) => createSelector(cacheStateSelector, (state) => getCacheValue(hashKey(key), state));
//# sourceMappingURL=cache.selectors.js.map